
package Term::Size::Perl::Params; 

# created Sat May 31 02:57:41 2014

use vars qw($VERSION);
$VERSION = 0.029;

=head1 Term::Size::Perl::Params

=head2 params

    $href = Term::Size::Perl::Params

The configuration parameters C<Term::Size::Perl> needs to
know for retrieving the terminal size with C<ioctl>.

=cut

sub params {
    return (
        winsize => {
            sizeof => 8,
            mask => 'S!S!S!S!'
        },
        TIOCGWINSZ => {
            value => 1074295912,
            definition => qq{((unsigned long) ((0x40000000) | (((sizeof(struct winsize)) & ((1 << 13) - 1)) << 16) | ((('t')) << 8) | ((104))))}
        }
    );
}

1;
